Should work with polyglossia and babel